#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui/QMainWindow>
#include <QShowEvent>
#include <QTimer>

#include "videowidget.hpp"

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);

protected:
    void showEvent(QShowEvent *event);

private slots:
    void onTimeout();

private:
    bool playing;
    QTimer *timer;
    VideoWidget *videoWidget;
};

#endif // MAINWINDOW_HPP
